<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
    <style>
        .mytextcenter{
            text-align: center; font-size:  20 pt;
        }
    </style>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>

<body>
    <div id="app" style="border-style: solid;width: 250px;text-align: center;">
        <br>
        <div>
        <input type="text" ref="Num1" v-model="state.Num1" class="mytextcenter"></div> 
        <div>+</div>
        <div><input type="text" ref="Num2" v-model="state.Num2" class="mytextcenter"></div><br>
        <div><button class="mytextcenter" @click="doAdd()" >=</button></div><br>
        <div ref="result">{{state.result}}</div>
        <div>{{state.Num1}}+{{state.Num2}}={{result}}</div>
    </div>
</body>
<script>
    const{createApp,reactive,computed}=Vue
    createApp({
        setup(){
            const state = reactive({
                Num1: "1",
                Num2: "1",
                result: 2
                
            })
            const result = computed(function(){
                return parseInt(state.Num1)+parseInt(state.Num2)
            })
            const doAdd = function(){
                state.result = parseInt(state.Num1)+parseInt(state.Num2)
            }
            return{state,doAdd,result}
        }
    }).mount('#app')
</script>
</html>